#!/bin/sh

FC=gfortran

${FC} -O3 -xf77-cpp-input -c  scl.f   lss.f   backtrack.f calc.f cgm.f drand.f checkder.f evalal.f fparam.f happrox.f newtd.f newtonkkt.f setpoint.f sevalus.f spgls.f tevalus.f tnls.f uevalus.f vevalus.f gencan.f auglag.f algencan.f algencanma.f || (echo "COMPILATION ERROR"; exit;)

${FC} -W -Wall -pedantic -Wconversion -O3 -c Random.f95

${FC} -O3 -c Packing.f95 ||  (echo "COMPILATION ERROR"; exit;)

${FC} -W -Wall -pedantic -Wconversion -O3 -c Constants.f95 BB-Options.f95 OptionsReader.f95 Structures.f95 Solver.f95 Auxiliar.f95 Problems.f95 Container.f95 PseudoCosts.f95 VariableSelection.f95 LinkedList.f95 BranchAndBound.f95 MINLP.f95 ||  (echo "COMPILATION ERROR"; exit;)

${FC} Constants.o Random.o Packing.o scl.o  lss.o backtrack.o calc.o cgm.o drand.o checkder.o evalal.o  fparam.o happrox.o newtd.o newtonkkt.o setpoint.o sevalus.o spgls.o tevalus.o tnls.o uevalus.o vevalus.o gencan.o auglag.o algencan.o algencanma.o BB-Options.o OptionsReader.o Structures.o Solver.o Auxiliar.o Problems.o Container.o PseudoCosts.o VariableSelection.o LinkedList.o BranchAndBound.o MINLP.o -o igenpack ||  (echo "COMPILATION ERROR"; exit;)
